Pipelines
Delete a pipeline
Hard-deletes the pipeline and its stages. If the pipeline still has assigned records, provide a targetPipelineId in the body so the records are migrated to the first active stage of that pipeline before deletion. The default pipeline cannot be deleted.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
pipelineId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/pipelines/string" \ -H "Content-Type: application/json" \ -d '{ "targetPipelineId": "66f0a0b0c0d0e0f0a0b0c0d1" }'{ "message": "Pipeline deleted", "pipelineId": "66f0a0b0c0d0e0f0a0b0c0d0", "recordsTransferred": 22, "movedToPipeline": { "id": "66f0a0b0c0d0e0f0a0b0c0d1", "name": "EMEA sales pipeline" }, "movedToStage": { "id": "67f0a0b0c0d0e0f0a0b0c0e0", "name": "New" }}